# -*- coding: utf-8 -*-
"""
Created on 11/10/2021 BY NG

"""

import math
import sys, time
import importlib.util


####################### Device Intialization ##################################

#sys.path.append("C:\Users\a0225066\Documents\Python\Scripts")#to include the path containing FTDI_PatternGenerator_Python_Class.py file
from FTDI_PatternGenerator_Python_Class import FTDI_PatternGenerator

FTDI_PatternGenerator_Folder_Path = 'C:/Users/a0225066/Documents/Python/DAC12DL3200_EVM_Automation'#This folder should contain both the FTDI Pattern generator dll and Error code csv files.
PatternFilePath_DAC12DL3200 = 'C:/Program Files/Texas Instruments/DAC12DL3200PG2/Pattern Files/DAC12DL3200.txt'
PatternFilePath_LMK04828 = 'C:/Program Files/Texas Instruments/DAC12DL3200PG2/Pattern Files/LMK04828.txt'
PatternFilePath_LMK2592 = 'C:/Program Files/Texas Instruments/DAC12DL3200PG2/Pattern Files/LMX2592.txt'


#Loading the DLL and Error CSV File from the following folder location
FTDI_Device = FTDI_PatternGenerator(FTDI_PatternGenerator_Folder_Path)

FTDI_Device.InitializeDevice("DAC12DL3200", "DAC12DL3200 B", 1228800, PatternFilePath_DAC12DL3200)
FTDI_Device.InitializeDevice("LMK04828", "DAC12DL3200 D", 1228800, PatternFilePath_LMK04828)
FTDI_Device.InitializeDevice("LMX2592", "DAC12DL3200 D", 1228800, PatternFilePath_LMK2592)

############################ load config File ###########################
print("\nLoad ConfigFile to Program the EVM")

FTDI_Device.LoadConfigFile('C:/Program Files/Texas Instruments/DAC12DL3200PG2/Configuration Files/LMK_100M_LMX_1600M_Mode1_2x_RF_Dual_DAC.cfg')
FTDI_Device.LoadConfigFile('C:/Program Files/Texas Instruments/DAC12DL3200PG2/Configuration Files/LMK04828_JMODE2.cfg')


###############################################################################
##### Single Register Wtite and read 

#FTDI_Device.WriteRegister("DAC12DL3200", 0x201, 0x07)
#ReadData = FTDI_Device.ReadRegister("DAC12DL3200", 0x201)
#print(ReadData)
#
#
##FTDI_Device.WriteRegister("LMK04828", 0x1, 0x00)
#ReadData = FTDI_Device.ReadRegister("LMK04828", 0x5)
#print(ReadData)
###############  Turn on offset calibration and calibrate the ADC.
FTDI_Device.WriteMultipleRegisters("DAC12DL3200", [0x200, 0x61, 0x62, 0x61, 0x200, 0x6C, 0x6C], [0x00, 0x00, 0x05, 0x01, 0x01, 0x00, 0x01])
ReadDataList = FTDI_Device.ReadMultipleRegisters("DAC12DL3200", [0x200, 0x61, 0x62,  0x6C])
print("Readback Value = ", ReadDataList)

###################  Close the FTDI ###########################################
FTDI_Device.CloseAllDev()
print("Device Closed")

